com.google.cloud.dataflow.sdk.transforms

## Class View.CreatePCollectionView<ElemT,ViewT>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<ElemT>,PCollectionView<ViewT>>
  - - com.google.cloud.dataflow.sdk.transforms.View.CreatePCollectionView<ElemT,ViewT>

Type Parameters:
  `ElemT` - The type of the elements of the input PCollection
  `ViewT` - The type associated with the `PCollectionView` used as a side input

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  View

    public static class View.CreatePCollectionView<ElemT,ViewT>
    extends PTransform<PCollection<ElemT>,PCollectionView<ViewT>>

Creates a primitive `PCollectionView`.

For internal use only by runner implementors.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PCollectionView<ViewT>` `apply(PCollection<ElemT> input)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.
`PCollectionView<ViewT>` `getView()`
`static <ElemT,ViewT> View.CreatePCollectionView<ElemT,ViewT>` `of(PCollectionView<ViewT> view)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static <ElemT,ViewT> View.CreatePCollectionView<ElemT,ViewT> of(PCollectionView<ViewT> view)

#### getView

    public PCollectionView<ViewT> getView()

#### apply

    public PCollectionView<ViewT> apply(PCollection<ElemT> input)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PCollection<ElemT>,PCollectionView<ViewT>>`